<header>
<div class="theme_options_title">
			<h1><?php _e("Theme Options", "nanoshop"); ?></h1>
</div>
</header>

<div class="dessky-admin">
	<nav>
    <ul id="nav">
    	<li class="i_settings_2">
            <a <?php if (!isset($_GET['sub_page']) || ( $_GET['sub_page'] == "options" || $_GET['sub_page'] == "options_page_setup" || $_GET['sub_page'] == "options_social_accounts" || $_GET['sub_page'] == "options_media" )) echo 'id="selected-menu-item" class="active"'; ?> ><span><?php _e("General Settings", "nanoshop"); ?></span></a>
            <ul class="dessky-admin-submenu" <?php if (!isset($_GET['sub_page']) || ( $_GET['sub_page'] == "options" || $_GET['sub_page'] == "options_page_setup" || $_GET['sub_page'] == "options_social_accounts" || $_GET['sub_page'] == "options_media" )) echo 'style="display: block;"'; ?> >
                <li><a <?php if (isset($_GET['sub_page']) && $_GET['sub_page'] == "options") echo 'id="selected-menu-subitem" class="active"'; ?> href="themes.php?page=theme_options&sub_page=options"><span><?php _e("Theme layout", "nanoshop"); ?></span></a></li>
                <li><a <?php if (!isset($_GET['sub_page']) || $_GET['sub_page'] == "options_page_setup") echo 'id="selected-menu-subitem" class="active"'; ?> href="themes.php?page=theme_options&sub_page=options_page_setup"><span><?php _e("Theme setup", "nanoshop"); ?></span></a></li>
                <li><a <?php if (isset($_GET['sub_page']) && $_GET['sub_page'] == "options_social_accounts") echo 'id="selected-menu-subitem" class="active"'; ?> href="themes.php?page=theme_options&sub_page=options_social_accounts"><span><?php _e("Social accounts", "nanoshop"); ?></span></a></li>
                <li><a <?php if (isset($_GET['sub_page']) && $_GET['sub_page'] == "options_media") echo 'id="selected-menu-subitem" class="active"'; ?> href="themes.php?page=theme_options&sub_page=options_media"><span><?php _e("Logo and favicon", "nanoshop"); ?></span></a></li>
            </ul>
        </li>
        <?php if( function_exists("dessky_extra") ){ ?>
        <li class="i_imac">
            <a <?php if (isset($_GET['sub_page']) && ($_GET['sub_page'] == "theme_style" || $_GET['sub_page'] == "theme_style_google_font" || $_GET['sub_page'] == "theme_style_custom_font")) echo 'id="selected-menu-item" class="active"'; ?> ><span><?php _e("Style Settings", "nanoshop"); ?></span></a>
            <ul class="dessky-admin-submenu" <?php if (isset($_GET['sub_page']) && ($_GET['sub_page'] == "theme_style" || $_GET['sub_page'] == "theme_style_google_font" || $_GET['sub_page'] == "theme_style_custom_font")) echo 'style="display: block;"'; ?> >
                <li><a <?php if (isset($_GET['sub_page']) &&$_GET['sub_page'] == "theme_style") echo 'id="selected-menu-subitem" class="active"'; ?> href="themes.php?page=theme_options&sub_page=theme_style"><span><?php _e("Theme Style", "nanoshop"); ?></span></a></li>
                <li><a <?php if (isset($_GET['sub_page']) && $_GET['sub_page'] == "theme_style_google_font") echo 'id="selected-menu-subitem" class="active"'; ?> href="themes.php?page=theme_options&sub_page=theme_style_google_font"><span><?php _e("Update google fonts", "nanoshop"); ?></span></a></li>
                <li><a <?php if (isset($_GET['sub_page']) && $_GET['sub_page'] == "theme_style_custom_font") echo 'id="selected-menu-subitem" class="active"'; ?> href="themes.php?page=theme_options&sub_page=theme_style_custom_font"><span><?php _e("Upload custom fonts", "nanoshop"); ?></span></a></li>
            </ul>
        </li>
        <?php } ?>
        <li class="i_shopping_cart">
            <a <?php if (isset($_GET['sub_page']) && $_GET['sub_page'] == "shop_settings") echo 'id="selected-menu-item" class="active"'; ?> href="themes.php?page=theme_options&sub_page=shop_settings"><span><?php _e("Shop Settings", "nanoshop"); ?></span></a>
        </li>
        <?php if( function_exists("dessky_extra") ){ ?>
        <li class="i_mail">
            <a <?php if (isset($_GET['sub_page']) && $_GET['sub_page'] == "contact_form") 
                        echo 'id="selected-menu-item" class="active"'; ?> href="themes.php?page=theme_options&sub_page=contact_form"><span><?php _e("Contact Form", "nanoshop"); ?></span></a>
        </li>
        <?php } ?>
        <li class="i_duplicate">
            <a <?php if (isset($_GET['sub_page']) && $_GET['sub_page'] == "dummy_content") 
                        echo 'id="selected-menu-item" class="active"'; ?> href="themes.php?page=theme_options&sub_page=dummy_content"><span><?php _e("Dummy Content", "nanoshop"); ?></span></a>
        </li>
    </ul>
    </nav>
    
    <section id="content">
    <div class="dessky-admin-content">
        <?php
        if(!isset($_GET['sub_page']))
            $_GET['sub_page']='';
      
            if( function_exists("dessky_extra") ){
                switch($_GET['sub_page']) {
                    case 'options': include_once 'options_page_view.php'; break;
                    case 'options_page': include_once 'options_page_view.php'; break;
                    case 'options_page_setup': include_once 'options_page_setup_view.php'; break;
                    case 'options_social_accounts': include_once 'options_social_accounts_view.php'; break;
                    case 'options_media': include_once 'options_media_view.php'; break;
                    case 'contact_form': include_once 'contact_view.php'; break;
                    case 'dummy_content': include_once 'dummy_view.php'; break;
                    case 'theme_style': include_once 'style_view.php'; break;
                    case 'theme_style_google_font': include_once 'update_google_font_view.php'; break;
                    case 'theme_style_custom_font': include_once 'update_custom_font_view.php'; break;
                    case 'shop_settings': include_once 'shop_settings.php'; break;
                    default: include_once 'options_page_setup_view.php';
                }
            }else{
                switch($_GET['sub_page']) {
                    case 'options': include_once 'options_page_view.php'; break;
                    case 'options_page': include_once 'options_page_view.php'; break;
                    case 'options_page_setup': include_once 'options_page_setup_view.php'; break;
                    case 'options_social_accounts': include_once 'options_social_accounts_view.php'; break;
                    case 'options_media': include_once 'options_media_view.php'; break;
                    case 'contact_form': include_once 'contact_view.php'; break;
                    case 'dummy_content': include_once 'dummy_view.php'; break;
                    case 'theme_style': include_once 'style_view.php'; break;
                    case 'shop_settings': include_once 'shop_settings.php'; break;
                    default: include_once 'options_page_setup_view.php';
                }
            }

        ?>
    </div>
    </section>
    <footer>Copyright by <a href="https://dessky.com" target="_blank">dessky.com</a></footer>
</div> 