<?php 

class adminBar {
  
  function __construct() {
      add_action( 'admin_bar_menu', array( $this, "themeoptions_links" ), 100 );
  }

  function add_root_menu($name, $id, $href = FALSE) {
    global $wp_admin_bar;
    if ( !is_super_admin() || !is_admin_bar_showing() )
        return;

    $wp_admin_bar->add_menu( array(
        'id'   => $id,
        'meta' => array(),
        'title' => $name,
        'href' => $href ) );
  }

  function add_sub_menu($name, $id ,$link, $root_menu, $meta = FALSE) {
      global $wp_admin_bar;
      if ( ! is_super_admin() || ! is_admin_bar_showing() )
          return;
    
      $wp_admin_bar->add_menu( array(
          'id' => $id,
          'parent' => $root_menu,
          'title' => $name,
          'href' => $link,
          'meta' => $meta
      ) );
  }

  function themeoptions_links() {
      $this->add_root_menu( "Theme Options", "dessky",admin_url('themes.php?page=theme_options'));
      $this->add_sub_menu( "Theme layout", 'dessky_settings',admin_url('themes.php?page=theme_options&sub_page=options'), "dessky" );
      if( function_exists("dessky_extra") ){
      $this->add_sub_menu( "Theme style", 'dessky_style', admin_url('themes.php?page=theme_options&sub_page=theme_style') , "dessky" );
      $this->add_sub_menu( "Contact form", 'dessky_contact',admin_url('themes.php?page=theme_options&sub_page=contact_form'), "dessky" );
      }
      $this->add_sub_menu( "Dummy content", 'dessky_content',admin_url('themes.php?page=theme_options&sub_page=dummy_content'), "dessky" );
  }

}
add_action( "init", "themeOptionsMenuInit" );
function themeOptionsMenuInit() {
    global $theme_adminBar;
    $theme_adminBar = new adminBar();
}