<?php
include_once 'classes/options.php';

$media_data = $options->get_media();
if (isset($_GET['save_media']))
    $options->save_media(); 
?>
<form action="themes.php?page=theme_options&sub_page=options_media&save_media" method="post">

    <div class="content-top"><input type="submit" class="submit" value="<?php _e("Save all changes", "nanoshop"); ?>" /><div class="clear"></div></div>

    <div class="content-inner">
        <h3><?php _e("Logo and favicon", "nanoshop"); ?></h3>
        <!-- Favicon -->
        <div class="input">
            <label for="favicon"><?php _e("Favicon", "nanoshop"); ?></label>
            <div class="preview"><img src="<?php echo $media_data['favicon']; ?>"></div>
            <input id="favicon" type="text" size="100" name="favicon" value="<?php echo $media_data['favicon']; ?>" />
            <p><?php _e("Upload favicon file in Media Library then copy/paste File URL here.", "nanoshop"); ?></p>
        </div>
        <!-- Logo -->
        <div class="input">
            <label for="logo"><?php _e("Logo", "nanoshop"); ?></label>
            <div class="preview"><img src="<?php echo $media_data['logo']; ?>"></div>
            <input type="text" size="100" name="logo" value="<?php echo $media_data['logo']; ?>" />
            <p><?php _e("Upload logo file in Media Library then copy/paste File URL here.", "nanoshop"); ?></p>
        </div>
    </div>

    <div class="content-top">
        <input type="submit" class="submit" value="<?php _e("Save all changes", "nanoshop"); ?>">
        <div class="clear"></div>
    </div>
</form>