<?php
/**
 * Product loop sale flash
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     5.0.0
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $post, $product, $shop_data;

$text = __( 'Sale!', 'woocommerce' );

preg_match_all('!\d+!', strip_tags($product->get_price_html()), $prices);

$sale = 0;

if( isset($prices[0][2]) ) {
	$sale = intval($prices[0][2]);
}

$regular = intval($prices[0][0]);
?>
<?php if ($product->is_on_sale()) : ?>

	<?php 
	if(isset($shop_data['sale_type'])){
		if( $shop_data['sale_type'] == "on"):
			$text = "-" . round(100-($sale / $regular)*100, 0) . "%";
		endif; 
	}
	?>

	<?php echo apply_filters('woocommerce_sale_flash', '<span class="onsale">'. $text .'</span>', $post, $product); ?>

<?php endif; ?>